Bug 969863 - [abrt] WARNING: at kernel/time/timekeeping.c:366 ktime_get_ts+0xef/0x100()
[abrt] WARNING: at kernel/time/timekeeping.c:366 ktime_get_ts+0xef/0x100()
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-06-02 15:14 EDT by Olav S. Flaa
Modified: 2013-07-24 14:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-24 14:55:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: dmesg (121.31 KB, text/plain)
2013-06-02 15:14 EDT, Olav S. Flaa
no flags Details

  None (edit)
Description Olav S. Flaa 2013-06-02 15:14:26 EDT
Additional info:
reporter:       libreport-2.1.4
WARNING: at kernel/time/timekeeping.c:366 ktime_get_ts+0xef/0x100()
Hardware name: 1025C
Modules linked in: ses enclosure vfat fat usb_storage ath3k fuse ebtable_nat ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi bnep arc4 ath9k ath9k_common ath9k_hw ath mac80211 cfg80211 snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media eeepc_wmi asus_wmi btusb bluetooth snd_page_alloc acpi_cpufreq mperf coretemp i2c_i801 sparse_keymap snd_timer snd of_i2c soundcore rfkill iTCO_wdt iTCO_vendor_support lpc_ich microcode joydev binfmt_misc uinput gma500_gfx i2c_algo_bit drm_kms_helper drm atl1c i2c_core wmi video sunrpc
Pid: 2, comm: kthreadd Not tainted 3.9.4-200.fc18.i686 #1
Call Trace:
 [<c043f92b>] ? print_hardware_dmi_name+0x2b/0x30
 [<c043f999>] warn_slowpath_common+0x69/0x90
 [<c048d9df>] ? ktime_get_ts+0xef/0x100
 [<c048d9df>] ? ktime_get_ts+0xef/0x100
 [<c043f9e2>] warn_slowpath_null+0x22/0x30
 [<c048d9df>] ktime_get_ts+0xef/0x100
 [<c043df28>] copy_process.part.34+0x3b8/0x1030
 [<c046d1f2>] ? check_preempt_curr+0x72/0x90
 [<c045f0f0>] ? kthread_create_on_node+0xc0/0xc0
 [<c045f0f0>] ? kthread_create_on_node+0xc0/0xc0
 [<c043ec79>] do_fork+0x99/0x300
 [<c046f1f9>] ? do_set_cpus_allowed+0x39/0x50
 [<c045f0f0>] ? kthread_create_on_node+0xc0/0xc0
 [<c043ef0d>] kernel_thread+0x2d/0x40
 [<c045f6a7>] kthreadd+0xd7/0x110
 [<c09933b7>] ret_from_kernel_thread+0x1b/0x28
 [<c045f5d0>] ? kthread_create_on_cpu+0x60/0x60
Comment 1 Olav S. Flaa 2013-06-02 15:14:32 EDT
Created attachment 756060 [details]
File: dmesg
Comment 2 Josh Boyer 2013-07-01 14:29:09 EDT
It appears your system hit a large number of ACPI errors when you went to suspend.  When you resumed, it hit this warning:

void ktime_get_ts(struct timespec *ts)
        struct timekeeper *tk = &timekeeper;
        struct timespec tomono;
        s64 nsec;
        unsigned int seq;


when it was in the middle of a fork call.

I'm guessing this only happens during suspend/resume?
Comment 3 Josh Boyer 2013-07-24 14:55:53 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.